#include <errno.h>
#include <sys/acl.h>

int		acl_free_qualifier (const void *qualifier_p,
				    const acl_tag_t tag_type_d)
{
	switch (tag_type_d) {
		case ACL_USER:
		case ACL_GROUP:
			free ((void *)qualifier_p);
			return 0;
		default:
			if (qualifier_p) {
				errno = EINVAL;
				return -1;
			} else
				return 0;
	}
}
