#include <errno.h>
#include <sys/acl.h>

acl_entry_t	acl_get_entry (const acl_t acl_d)
{
	acl_entry_t	acle;

	CHECK_ACL_VALID (acl_d, NULL);
	if (!acl_d->acl_current) { /* FIXME ??? */
#ifdef	ENOPOSIT
		errno = ENOPOSIT;
#else
		errno = EINVAL;
#endif
		return NULL;
	}
	acle = acl_d->acl_current;
	acl_d->acl_current = acl_d->acl_current->acle_next;
	return acle;
}
