#include <errno.h>
#include <sys/acl.h>

int		acl_get_tag_type (const acl_entry_t entry_d,
				  acl_tag_t *tag_type_p)
{
	CHECK_ACLE_VALID (entry_d, -1);
	CHECK_TAG_TYPE_VALID (entry_d->acle_tag_type, -1);
	*tag_type_p = entry_d->acle_tag_type;
	return 0;
}
