#include <errno.h>
#include <string.h>
#include <sys/acl.h>

acl_t		acl_init (const size_t size)
{
	acl_t		acl;

	if (size < sizeof (struct acl)) {
		errno = EINVAL;
		return NULL;
	}
	acl = (acl_t)malloc (size);	/* FIXME ??? */
	if (acl) {
		memset ((void *)acl, 0, sizeof (struct acl));
		acl->acl_valid = VALID_ACL;
	} else
		errno = ENOMEM;
	return acl;
}
