#include <errno.h>
#include <sys/acl.h>

int		acl_copy_entry (const acl_entry_t src_d, acl_entry_t dest_d)
{
	CHECK_ACLE_VALID (src_d, -1);
	CHECK_ACLE_VALID (dest_d, -1);	/* FIXME ??? */
	dest_d->acle_tag_type = src_d->acle_tag_type;
	dest_d->acle_mode = src_d->acle_mode;
	dest_d->acle_tag = src_d->acle_tag;
	dest_d->acle_perms = src_d->acle_perms;
	return 0;
}
