#include <errno.h>
#include <sys/acl.h>

int		acl_delete_entry (acl_entry_t entry_d)
{
	acl_t		acl;

	CHECK_ACLE_VALID (entry_d, -1);
	acl = entry_d->acle_aclp;
	entry_d->acle_valid = 0;
	entry_d->acle_aclp = NULL;
	acl->acl_used_acle--;
	if (entry_d->acle_prev)
		entry_d->acle_prev->acle_next = entry_d->acle_next;
	else
		acl->acl_faclep = entry_d->acle_next;
	if (entry_d->acle_next)
		entry_d->acle_next->acle_prev = entry_d->acle_prev;
	else
		acl->acl_laclep = entry_d->acle_prev;
	if (entry_d == acl->acl_current)
		acl->acl_current = entry_d->acle_next;
	entry_d->acle_prev = NULL;
	entry_d->acle_next = acl->acl_free;
	acl->acl_free = entry_d;
	return 0;
}
