#include <errno.h>
#include <sys/acl.h>

int		acl_free (acl_t acl_d)
{
	acl_entry_t	acle1;
	acl_entry_t	acle2;

	CHECK_ACL_VALID (acl_d, -1);
	acle1 = acl_d->acl_faclep;
	while (acle1) {
		acle1->acle_valid = 0;
		acle1->acle_aclp = NULL;
		acle2 = acle1->acle_next;
		free (acle1);
		acle1 = acle2;
	}
	acl_d->acl_valid = 0;
	free (acl_d);
	return 0;
}
