#include <errno.h>
#include <sys/acl.h>

int		acl_set_permset (acl_entry_t entry_d,
				 const acl_permset_t permset_d)
{
	CHECK_ACLE_VALID (entry_d, -1);
	CHECK_PERMSET_VALID(permset_d, -1);
	CHECK_PERMS_VALID (*permset_d, -1);
	entry_d->acle_perms = *permset_d;
	return 0;
}
